package net.krakatoa.proxy.listener;

import net.krakatoa.proxy.ProxySystem;
import net.md_5.bungee.api.connection.ProxiedPlayer;
import net.md_5.bungee.api.event.PlayerDisconnectEvent;
import net.md_5.bungee.api.plugin.Listener;
import net.md_5.bungee.event.EventHandler;
import org.redisson.api.RMap;

public class PlayerDisconnectListener implements Listener {

  @EventHandler
  public void onDisconnect(PlayerDisconnectEvent event) {
    ProxiedPlayer proxiedPlayer = event.getPlayer();

    String uuid = ProxySystem.getInstance().getFormatter()
        .formatUuid(proxiedPlayer.getUniqueId().toString());

    // redis
    RMap<String, String> map = ProxySystem.getInstance().getRedisManager()
        .getRedissonClient()
        .getMap("player:" + uuid);

    if (!map.isEmpty()) {
      map.delete();
    }

    /*Long res = ProxySystem.getInstance().getRedisManager().getRedisKeyCommands()
        .del("player:" + proxiedPlayer.getUniqueId().toString());

    ProxySystem.getInstance().getLogger().info("val: " + res);

    //String uuid = ProxySystem.getInstance().getFormatter()
    //  .formatUuid(proxiedPlayer.getUniqueId().toString());

    /*
    ProxySystem.getInstance().getPlayerRegistrationProcess()
        .deleteOne(Filters.eq("uuid", uuid),
            (deleteResult, throwable) -> {

              System.out.println("delete " + deleteResult.getDeletedCount());
            }); */
  }

}
